class
	S_SDL_SDL_RWOPS_STATIC

inherit
	CE_UTILITIES

feature {ANY} -- public routines

	sdl_read_be16 (a_src: CE_POINTER [SD_SDL_RWOPS]): NATURAL_16
		do
			Result := c_sdl_read_be16 (a_src.c_pointer)
		end

	c_sdl_read_be16 (a_src: POINTER): NATURAL_16
		external
			"C inline use <sdl_mixer.h>"
		alias
			"return SDL_ReadBE16($a_src);"
		end

	sdl_read_le32 (a_src: CE_POINTER [SD_SDL_RWOPS]): NATURAL_32
		do
			Result := c_sdl_read_le32 (a_src.c_pointer)
		end

	c_sdl_read_le32 (a_src: POINTER): NATURAL_32
		external
			"C inline use <sdl_mixer.h>"
		alias
			"return SDL_ReadLE32($a_src);"
		end

	sdl_read_be32 (a_src: CE_POINTER [SD_SDL_RWOPS]): NATURAL_32
		do
			Result := c_sdl_read_be32 (a_src.c_pointer)
		end

	c_sdl_read_be32 (a_src: POINTER): NATURAL_32
		external
			"C inline use <sdl_mixer.h>"
		alias
			"return SDL_ReadBE32($a_src);"
		end

	sdl_rwfrom_file (a_file, a_mode: CE_POINTER [INTEGER_8]): CE_POINTER [SD_SDL_RWOPS]
		do
			create {CE_CLASS_POINTER [SD_SDL_RWOPS]} Result.make_shared (c_sdl_rwfrom_file (a_file.c_pointer, a_mode.c_pointer))
		end

	c_sdl_rwfrom_file (a_file: POINTER; a_mode: POINTER): POINTER
		external
			"C inline use <sdl_mixer.h>"
		alias
			"return (EIF_POINTER)SDL_RWFromFile($a_file, $a_mode);"
		end

	sdl_free_rw (a_area: CE_POINTER [SD_SDL_RWOPS])
		do
			c_sdl_free_rw (a_area.c_pointer)
		end

	c_sdl_free_rw (a_area: POINTER)
		external
			"C inline use <sdl_mixer.h>"
		alias
			"SDL_FreeRW($a_area);"
		end

end
