class
	S_SDL_SDL_ERROR_STATIC

inherit
	CE_UTILITIES

feature {ANY} -- public routines

	sdl_set_error (a_args: TUPLE [a_fmt: CE_POINTER [INTEGER_8]])
		do
			(create {CE_ROUTINE}.make_shared (c_sdl_set_error)).call (a_args)
		end

	c_sdl_set_error: POINTER
		external
			"C inline use <sdl_mixer.h>"
		alias
			"return (EIF_POINTER)&SDL_SetError;"
		end

	sdl_get_error: CE_POINTER [INTEGER_8]
		do
			create {CE_INTEGER_8_POINTER} Result.make_shared (c_sdl_get_error)
		end

	c_sdl_get_error: POINTER
		external
			"C inline use <sdl_mixer.h>"
		alias
			"return (EIF_POINTER)SDL_GetError();"
		end

	sdl_error (a_code: NATURAL_32)
		external
			"C inline use <sdl_mixer.h>"
		alias
			"SDL_Error($a_code);"
		end

end
